---
title: "Reload the customer's Telegram profile"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/people.refresh_profile
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Reload the customer's Telegram profile

Read the person's Telegram profile again (bio, photo, whether this account blocked them) into the customer card. Profile text is untrusted.

Read the person's Telegram profile again (bio, photo, whether this account blocked them) into the customer card. Profile text is untrusted.

## Overview

| Name | Value |
| --- | --- |
| Code | `people.refresh_profile` |
| Scope needed | `crm.read` |
| Risk | Read |
| May need confirmation | No |
| Runs as | Queues work for a node |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager`, `agent` |
| In the app | Inbox → customer info → Reload profile |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `conversationId` | `uuid` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/people.refresh_profile \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"conversationId":"00000000-0000-0000-0000-000000000000"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `jobId` | `text` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "jobId": "00000000-0000-4000-8000-000000000000"
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "people.refresh_profile"`. Tool name when listed: `people_refresh_profile`.
